$(function() {
	// 任务池经过显示信息
	$(".sliding_b_r").each(function(i, it) {
		$(".renwu" + i).hover(function(e) {
			var left = $(this).offset().left;
			var top = $(this).offset().top + $(this).height();
			$("#sliOpen" + i).css({
				"display" : "block",
				"left" : left,
				"top" : top
			});
			e.stopPropagation();
		}, function() {
			$("#sliOpen" + i).hide();
		});
	});
	$(".p").click(function() {
		$(this).find("span").each(function() {
			if($(this).is(".sliding_icon7")){
			}else if($(this).is(".sliding_icon8")){
			}else if ($(this).is(".sliding_b_cur")){
					$(this).removeClass("sliding_b_cur");
				}else{
					$(this).addClass("sliding_b_cur");
			}
		});

	});
	
	$("#isTask").click(function(){
		$("#noTask").attr("class","check_no");
	});
	
	$("#noTask").click(function(){
		$("#isTask").attr("class","check_no");
		$("#kind").find("span").each(function() {
			$(this).attr("class","check_no");
		});
	});
	
	
	$("#kind").click(function(){
		var flag = false;
		$(this).find("span").each(function() {
			if($(this).is(".check_yes")){
				flag=true;
			}
		});
		if(flag ==true){
			$("#isTask").attr("class","check_yes");
			$("#noTask").attr("class","check_no");
		}else{
			$("#isTask").attr("class","check_no");
		}
		
	});
	
	$("#type").click(function(){
		if($("#isTask").attr("class") =="check_no"){
			$("#kind").find("span").each(function() {
				$(this).attr("class","check_no");
			});
		}
	});

});

//20161223 lan add 批量分配查询分配池信息
function queryAuditTask(){
	var cond=$("#claimNo").val();
	if(cond!=null && cond!="" &&(cond.trim().length!=15&&cond.trim().length!=10&&cond.trim().length!=8)){
		 alert("录入格式错误，请输入15位赔案号");
		 return ;
	}
	/**REQHOP8-170120-111 批量分配功能界面优化需求 2017-6-9 edit lyd start **/
	var batchNo = $("#claimBatchNo").val();
	var appName = $("#appName").val();//20170221 lan 添加可以使时间参数为空的查询条件appName
	var currentOperaterName = $("#currentOperaterName").val();//20170221 lan 添加可以使时间参数为空的查询条件  currentOperaterName
	if((cond!=null && cond!="" )||(batchNo!=null && batchNo!="" )
		||(currentOperaterName!=null && currentOperaterName!="")|| (appName!=null && appName!="")){

	}else{
		var receiptDateFrom = $("#receiptDateFrom").val();
		var receiptDateTo = $("#receiptDateTo").val();
		var regDateFrom = $("#regDateFrom").val();
		var regDateTo = $("#regDateTo").val();
		if((receiptDateFrom==""||receiptDateTo=="") && (regDateFrom =="" || regDateTo == "")){
			//alert("收单日期时间段和立案日期时间段必选其一！");
			//return;
		}
	}
	/**REQHOP8-170120-111 批量分配功能界面优化需求 2017-6-9 edit lyd end **/
	$("#formId").submit();
}
/**REQHOP8-170120-111 批量分配功能界面优化需求 2017-6-9 edit lyd start **/
// 查询中 分配类型、案件属性 的赋值 20161223 lan add
function selectProcess(flag,value){
	if("assigntype"==flag){
		$("#assignType").val(value);
	}else if("iscase"==flag){
		$("#claimAttr").val(value);
	}else if("grpattr"==flag){
		$("#grpattr").val(value);
	}else if("inputSource" == flag){//报案渠道
		$("#inputSource").val(value);
	}else if("caseSource" == flag){//报案来源
		$("#caseSource").val(value);
		$.ajax({
			type:"post",
			url:"getBranch.do",
			data:{"caseSource":value},
			dataType:"json",
			success:function(data){
				//选择赔案来源成功后，初始化分公司下拉框值
				$("#temp").find(".temp").remove();
				$("#branchNameShow").html("全部");
				$("#branchName").val("全部");
				$("#branchId").val("");
				//动态生成分公司下拉框
				var str = "";
				for(var i =0;i<data.length;i++){
					str += "<li class='temp' onclick=\"selectProcess('branch','"+data[i]+"')\">"+data[i].split('|')[1]+"</li>";
				}
				$("#temp").append(str);
			}
		});
	}else if("branch" == flag){
		if(value != null && value != ''){
			$("#branchId").val(value.split("|")[0]);
			$("#branchName").val(value.split("|")[1]);
			$("#branchNameShow").html(value.split("|")[1]);
		}else {
			$("#branchId").val("");
			$("#branchName").val("全部");
			$("#branchNameShow").html("全部");
		}
	}
}
/**REQHOP8-170120-111 批量分配功能界面优化需求 2017-6-9 edit lyd end **/

//跳转页中页面输处理 20161223 lan add
function pageKeyup(obj){
	var val=String(obj.value);
	obj.value=val.replace(/\D/g,'');
	//this.value=val.replace(/[^1-9]/g, '');
	//this.value=val.replace(/[^1-9]/g, '');
}
//页面跳转 20161216 lan add
function turnPage(pageNo,type){
	var number = pageNo;
	if(type=="b"){
		number = $("#turn_inp").val();
	}
	var current = 1;
	var currentNo = $("#pageNo").val();
	if(currentNo != ""){
		current = parseInt(currentNo);
	}
	//当前页相同不跳转
	if(pageNo*1==current*1){
		return ;
	}
	if(pageNo!=null&&(pageNo*1>0)){
		$("#pageNo").val(pageNo);
		$("#formId").attr("method","POST");
		$("#formId").submit();
	}
}
// 批量查询 全选 案件属性 的赋值 20161209 lan add
function choiceAll(object,type){
	if("1"==type){
		var divclass = $(object).attr("class");
		$("#auditTaskList span").each(function(){
			if(divclass=="check_no"){
				$(this).attr("class","check_yes");
			}else{
				$(this).attr("class","check_no");
			}
		});
	}
}

function serachAudit() {
	var assignType="";
	var assignKind="";
	$("#type").find("span").each(function(){
		if($(this).is(".check_yes")){
			assignType = $(this).attr("value");
		}
	});
	$("#kind").find("span").each(function(){
		if($(this).is(".check_yes")){
			if(assignKind !=""){
				assignKind = assignKind +"_"+$(this).attr("value");
			}else{
				assignKind = $(this).attr("value");
			}
			
		}
	});
		$("#assignType").val(assignType);
	if(assignKind.indexOf("_") =="-1"){
		$("#assignKind").val(assignKind);
	}
	
	$("#formId").submit();
}

function serachSimpleAudit(){
	var params={};
	var empName='';
	if($("#simpleEmpName").val() == $("#simpleEmpName").attr("placeholder")){
		empName='';
	}else{
		empName = $("#simpleEmpName").val();
	}
	params['empName'] = empName;
	SkipByPost("auditTaskForm.do",params);
}
//20161223 lan modify
function go2StaffInfo() {
	var str1 = "";
	$("#auditTaskList span").each(function(){
		if($(this).attr("class")=="check_yes"){
			str1=str1+"_"+$(this).next().val()+"/"+$(this).next().next().val();
		}
	});	
	if(str1.length>1){
		//var params={};
		//params['claim'] = str1.substring(1,str1.length);
        //SkipByPost("auditStaffInfo.do",params);
        $("#claim").val(str1.substring(1,str1.length));
        $("#formId").attr("action","auditStaffInfo.do");
        $("#formId").attr("method","POST");
        $("#formId").submit();
	}else{
		alert("请选择需要批量分配的信息");
		return ;
	}
}
//function go2StaffInfo() {
//	var flag = false;
//	var params={};
//	var str="";
//	$("#pageList").find("span").each(function() {
//		if ($(this).is(".sliding_b_cur") && !$(this).is(".txt_red")){
//			if(str){
//				str = str+"_"+$(this).attr("v1")+"/"+$(this).attr("v2");
//			}else{
//				str = $(this).attr("v1")+"/"+$(this).attr("v2");
//			}
//			flag=true;
//		}
//	});
//	if(flag == false){
//		alert("请选择至少1个需要分配的赔案任务！");
//		return;
//	}
//	params['claim'] = str;
//	SkipByPost("auditStaffInfo.do",params);
//}

function showLock(id) {
	if($("#empName").val()){
		$("#empName").val("");
	}
	$("#" + id).css({
		"display" : "block",
		"z-index" : 101
	});
	createBg();
	$("#lock_click_bg").unbind();
	$("#lock_click_bg").bind("click", function() {
		$("#lock_click_bg").hide();
		$("#" + id).hide();
	});
}

function queryClaimTrack(claimNo){
	$("#historyTrack").find("p").remove();
	$.ajax({
		type:"POST",
		url:"queryClaimTrack.do",
		data:{"claimNo":claimNo},
		error :function(){
			alert("查询赔案操作轨迹失败，请稍后再试！");
			return ;
		},
		success :function(data){
			$("#historyTrackClaim").text(claimNo+" 历史轨迹");
			if(data ==""){
				alert("查询赔案操作轨迹失败，请稍后再试！");
				return ;
			}
			for ( var i= 0; i < data.length; i++) {
				var t=data[i];
				var p=$("<p class=\"sild_open_his\"><span class=\"sild_open_his_icon\" style=\"width:20%;white-space:nowrap;\">" +t.operateType+"</span><span style=\"width:30%;white-space:nowrap;\">"+t.operateDate+
						"	</span><span style=\"width:30%;white-space:nowrap;\">"+t.operator+"</span></p>");
				$("#historyTrack").append(p);
			}
			
			showDiv('open1');
		}
	});
}
/**REQHOP8-170120-111 批量分配功能界面优化需求 2017-6-9 add lyd start **/
function setSortValue(sortValue){

	var initAssignType = $("#initAssignType").val();
	if(initAssignType !=""){
		$("#sortAssignType").val(initAssignType);
	}
	$("#sortValue").val(sortValue);
	$("#formId").submit();
	//$("#formSortId").submit();lyd delete
}
/**REQHOP8-170120-111 批量分配功能界面优化需求 2017-6-9 add lyd end **/
function goReAuditTask(){
	window.location.href="reAuditTask.do";
}
